﻿using UnityEngine;

public class ReadArduino : MonoBehaviour
{
    int sensorValue = 0;
    Camera mainCamera;

    void Start() {
        mainCamera = GameObject.FindWithTag("MainCamera").GetComponent<Camera>();
    }

    // Invoked when a line of data is received from the serial device.
    void OnMessageArrived(string msg)
    {
        if (msg.StartsWith("P")) {
            // P: Potentiometer
            // Remove the "P" from the message
            msg = msg.Substring(1);
            // Convert the rest of the message to a integer number 0-1024
            sensorValue = System.Convert.ToInt32(msg);
        }else{
            Debug.LogFormat("Got other Message: {0}", msg);
        }
    }

    // Invoked when a connect/disconnect event occurs. The parameter 'success'
    // will be 'true' upon connection, and 'false' upon disconnection or
    // failure to connect.
    void OnConnectionEvent(bool success)
    {
        if (success) {
            Debug.Log("Arduino connection established");
        }else{
            Debug.Log("Arduino connection lost");
        }
        
    }

    // Run every frame
    void Update() {
        ZoomCamera();
    }


    void ZoomCamera() {
        // Set the FOV of the main camera to a scaled variant of the offset value
        mainCamera.fieldOfView = (1024 - sensorValue) / 10.24f;
    }
}